Subject: bug#13544: (web http) fails to parse numeric timezones in Date header

From: Daniel Hartwig <[email-masked]>
Date: Fri, 15 Mar 2013 15:08:33 +0800

On 14 March 2013 23:00, Andy Wingo <[email-masked]> wrote:
> On Thu 14 Mar 2013 14:34, [email-masked] (Ludovic Courtès) writes:
>
>>>> Ok.  What about Ludo's original comment, about the extra space in the
>>>> sqlite header?
>>>
>>> Dunno.  Is it common?

In the sample data from last year there were no instances of any extra
whitespace in any date-valued header.  Let us consider it rare, which
is enough reason to not support it.  The same reasoning was applied in
#10147.  Otherwise, having ‘string-match?’ collapse whitespace may be
ok.

Ludo’s patch can be applied with support for arbitrary timezones
removed.  On a related note, how RFC-strict is ‘valid-header?’
supposed to be?  At the moment it will pass a date value in any
timezone.

>>> In this particular case I would mail and try to
>>> get them to fix their server, given that it is run by hackers.  Let us
>>> leave that particular issue for another bug.
>>
>> I think standards unfortunately don’t matter as much as usage here.
>
> It's a tradeoff.  Guile's web module is not permissive; though perhaps a
> permissive parsing flag could make sense (one that doesn't propagate
> exceptions).  But anyway it will never parse the whole range of crap
> that people put on the internet.  So with nonstandard productions it's
> always a tradeoff.  In this case the tradeoff is not worth it to me,
> especially given other options, but that is MHO.

Regards